Get checkout
GET
/v1/{checkoutId}
const url = 'https://example.com/checkout/v1/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/checkout/v1/exampleRetrieves a checkout by its identifier, including the available delivery options.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”checkoutId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
checkoutId
required
string
status
required
string
delivery
required
One of:
null
object
options
required
Array<object>
object
id
required
string
type
required
string
displayName
required
string
express
required
boolean
price
required
object
gross
required
number | string format: double
net
required
number | string format: double
vat
required
number | string format: double
transporter
required
null | string
Examplegenerated
{ "checkoutId": "example", "status": "example", "delivery": { "options": [ { "id": "example", "type": "example", "displayName": "example", "express": true, "price": { "gross": 1, "net": 1, "vat": 1 }, "transporter": "example", "collectionPoint": { "id": "example", "name": "example", "addressLine": "example", "postCode": "example", "city": "example", "country": "example" } } ] }}Bad Request
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
errors
required
Array<object>
object
fieldName
required
string
message
required
string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": [ { "fieldName": "example", "message": "example" } ], "code": "example", "traceId": "example"}Unauthorized
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Forbidden
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Not Found
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}Internal Server Error
Media typeapplication/json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
code
required
string
traceId
required
string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "code": "example", "traceId": "example"}